classification
Title: Simplify string.Template by using __init_subclass__()
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2019-09-18 06:17 by serhiy.storchaka, last changed 2019-10-21 06:36 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16256 merged serhiy.storchaka, 2019-09-18 06:33
Messages (2)
msg352699 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-09-18 06:17
Currently string.Template uses a metaclass. It is possible to get rid of it and use __init_subclass__() instead.
msg355025 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-10-21 06:36
New changeset 919f0bc8c904d3aa13eedb2dd1fe9c6b0555a591 by Serhiy Storchaka in branch 'master':
bpo-38208: Simplify string.Template by using __init_subclass__(). (GH-16256)
https://github.com/python/cpython/commit/919f0bc8c904d3aa13eedb2dd1fe9c6b0555a591
History
Date User Action Args
2019-10-21 06:36:40serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-10-21 06:36:24serhiy.storchakasetmessages: + msg355025
2019-09-19 16:51:17barrysetnosy: + barry
2019-09-18 06:33:00serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request15851
2019-09-18 06:17:21serhiy.storchakacreate